+ Reply
Results 1 to 14 of 14

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Downgrade?

is a discussion within the

Jailbreaking the Verizon / Sprint / CDMA iPhone

forums, a part of the

iPhone on Verizon / Sprint / CDMA

section;
iPhone 4 Verizon with saved blobs for 4.2.8 up to 5.1.1 phone has never been updated past 5.01 as far as i know. modem firmware is 3.0.03 I'm trying to
...
  1. #1
    What's Jailbreak?
    Join Date
    May 2012
    Posts
    6
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default Downgrade?
    iPhone 4 Verizon with saved blobs for 4.2.8 up to 5.1.1 phone has never been updated past 5.01 as far as i know. modem firmware is 3.0.03

    I'm trying to downgrade to 4.2.8 with ifaith using signed blobs restore goes ok but after restore i get itunes saying" we're sorry we are unable to continue with your activation at this time...............and that's all i get if i restore to 5.01 the phone works.

  2. #2
    What's Jailbreak?
    Join Date
    May 2012
    Posts
    6
    Thanks
    0
    Thanked 0 Times in 0 Posts

    It also shows MEID Unknown

    If i restore back to 5.01 the phone works.

  3. #3
    H4CK3R's Avatar
    Join Date
    Jan 2012
    Location
    java.lang.IllegalStateException: Location unknown.
    Posts
    5,814
    Thanks
    62
    Thanked 261 Times in 250 Posts

    You can't downgrade baseband, only firmware.
    Great minds discuss ideas.
    Average minds discuss events.
    Small minds discuss people.

  4. #4
    What's Jailbreak?
    Join Date
    May 2012
    Posts
    6
    Thanks
    0
    Thanked 0 Times in 0 Posts

    I'm not i just want to use iOS 4.2.8. The phone came with 5.01

  5. #5
    H4CK3R's Avatar
    Join Date
    Jan 2012
    Location
    java.lang.IllegalStateException: Location unknown.
    Posts
    5,814
    Thanks
    62
    Thanked 261 Times in 250 Posts

    Oh ok. Sorry 'bout that. You just have to use a jailbreak such as Redsn0w and make a custom iPSW. From there, just stitch the blobs you have to the iPSW and then restore to it.
    Great minds discuss ideas.
    Average minds discuss events.
    Small minds discuss people.

  6. #6
    What's Jailbreak?
    Join Date
    May 2012
    Posts
    6
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Quote Originally Posted by X H4CK3R X View Post
    Oh ok. Sorry 'bout that. You just have to use a jailbreak such as Redsn0w and make a custom iPSW. From there, just stitch the blobs you have to the iPSW and then restore to it.
    I get the error i posted above if i do that with ifaith and when i use redsnow it gets stuck in recovery mode and tinyumbrella will not kick it out.

  7. #7
    Super Duper Moderator blkcadi's Avatar
    Join Date
    Aug 2008
    Location
     Valley of the Sun, ARIZONA ♥♥♥
    Posts
    30,201
    Thanks
    3,641
    Thanked 9,491 Times in 5,833 Posts

    I just wanted to know why in the world you would downgrade to that OS????
    I would use Redsn0w.
    Download ipsw for the OS you want.
    Open redsnow, click on extras, then click on custom firmware and point redsnow to a 5.0.1 or what ever firwmare. It will make the custom firmware for you.

    Next step is go back to redsnow, click extras, click SHSH, then click stitch. Click the ipsw button and point it to the custom firmware you made. Under blobs click the local button and point it to your 5.0.1 SHSH. (they may be tricky to find but should be in your tiny umbrella SHSH folder).

    Then enter pwned DFU with redsnow and restore to the custom stitched firmware it just made.

    Then in iTunes, hold Shift (PC)/Command(MAC) and then click restore in iTunes and let it do it's thing.

  8. #8
    What's Jailbreak?
    Join Date
    May 2012
    Posts
    6
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Thats what i am doing but it gets stuck in recovery mode and if i use recovery fix it never does finish. It Stops at waiting for iPhone.

  9. #9
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,905
    Thanks
    137
    Thanked 2,201 Times in 1,923 Posts

    On a Verizon iPhone, once you go past iOS 4 up to iOS 5, even if you have blobs to downgrade to 4.x you can't. Apple did something with the iOS 5 update that once you take it up to iOS 5, downgrading to iOS 4 won't work. Some people report successful-ish downgrades but can't activate the phone for use, and in your case I'm guessing you just can't get it through to work at all. I would suggest saving yourself the trouble and stay on iOS 5.

  10. The Following User Says Thank You to i.Annie For This Useful Post:

    blkcadi (05-08-2012)

  11. #10
    Super Duper Moderator blkcadi's Avatar
    Join Date
    Aug 2008
    Location
     Valley of the Sun, ARIZONA ♥♥♥
    Posts
    30,201
    Thanks
    3,641
    Thanked 9,491 Times in 5,833 Posts

    Quote Originally Posted by i.Annie View Post
    On a Verizon iPhone, once you go past iOS 4 up to iOS 5, even if you have blobs to downgrade to 4.x you can't. Apple did something with the iOS 5 update that once you take it up to iOS 5, downgrading to iOS 4 won't work. Some people report successful-ish downgrades but can't activate the phone for use, and in your case I'm guessing you just can't get it through to work at all. I would suggest saving yourself the trouble and stay on iOS 5.
    Good stuff Annie, didn't know that.

  12. #11
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,905
    Thanks
    137
    Thanked 2,201 Times in 1,923 Posts

    Yeah it's a weird thing :/ Like you said though why downgrade to iOS 4. Don't see it happen often so you don't really have to worry about the not being able to downgrade to iOS 4 on ViPhone thing.

  13. #12
    What's Jailbreak?
    Join Date
    May 2012
    Posts
    6
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Quote Originally Posted by i.Annie View Post
    On a Verizon iPhone, once you go past iOS 4 up to iOS 5, even if you have blobs to downgrade to 4.x you can't. Apple did something with the iOS 5 update that once you take it up to iOS 5, downgrading to iOS 4 won't work. Some people report successful-ish downgrades but can't activate the phone for use, and in your case I'm guessing you just can't get it through to work at all. I would suggest saving yourself the trouble and stay on iOS 5.
    Really? Why is there no info about this? I wanted iOS 4 because the apps i use don't work on iOS5.

    Is there any other documentation about it? I paid more for the phone because it has saved blobs for 4.28 and up.

    Thanks for the help.

  14. #13
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,905
    Thanks
    137
    Thanked 2,201 Times in 1,923 Posts

    There never was official articles on it that I know of. All reports of attempts to downgrade from stock 5.x to 4.x that I have seen all over the web, not just exclusive to MMi, complained of failure.

    What happens is on stock 5.x the baseband is upgraded. On the Verizon iPhone, the newer baseband makes iOS 4 incompatible to get past activation to work. I don't believe jailbreaking will resolve that issue either.

    If the device had been upgraded to iOS 5 via custom fw and prevented it from upgrading the baseband then it's likely doable to downgrade to 4.x. Check your baseband and see of it matches the one 4.x comes stock with. If it does then your downgrade failure isn't due to what I have been talking about. Just curious, what's so important for you to downgrade to 4.2.8?

  15. #14
    Green Apple
    Join Date
    Sep 2009
    Location
    Norwalk, Ca
    Posts
    94
    Thanks
    3
    Thanked 12 Times in 4 Posts

    Quote Originally Posted by Chrisli View Post
    iPhone 4 Verizon with saved blobs for 4.2.8 up to 5.1.1 phone has never been updated past 5.01 as far as i know. modem firmware is 3.0.03

    I'm trying to downgrade to 4.2.8 with ifaith using signed blobs restore goes ok but after restore i get itunes saying" we're sorry we are unable to continue with your activation at this time...............and that's all i get if i restore to 5.01 the phone works.
    I wouldn't use iFaith, stick with redsn0w. You have to extract your saved blobs and stitch them to the desired firmware. After stitching the custom build, you must place your phone in pwned dfu mode to get past that iTunes error. You might get into a weird recover loop--like I did when I downgraded--,but you can "manually" get out of DFU mode. I posted something a while back on how to accomplish this, during this stage, redsn0w or TinyUmbrella does not recognize the phone so one cannot exit this recovery loop of death.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts